function copyCurrentUrl() {
    const currentUrl = window.location.href;

    if (navigator.clipboard) {
        navigator.clipboard.writeText(currentUrl).then(() => {
            alert('Lien copié dans le presse-papiers : ' + currentUrl);
        }).catch(err => {
            console.error('Échec lors de la copie : ', err);
            alert('Impossible de copier le lien.');
        });
    } else {
        // Méthode de secours pour copier l'URL
        const tempInput = document.createElement('input');
        document.body.appendChild(tempInput);
        tempInput.value = currentUrl;
        tempInput.select();
        document.execCommand('copy');
        document.body.removeChild(tempInput);
        //mettre une ref a la place
        alert('🧙‍♂️ \"Un lien pour les gouverner tous, un lien pour les trouver, un lien pour les amener tous, et dans les ténèbres les lier...\" \n\n   -\t(presque) Gandalf');
    }
}
œ